Bug 958640 - CVE-2013-2037 Python httplib2: ssl cert incorrect error handling [fedora-all]
Summary: CVE-2013-2037 Python httplib2: ssl cert incorrect error handling [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-httplib2
Version: 22
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=mrniranjan
Depends On: 1100516
Blocks: CVE-2013-2037
TreeView+ depends on / blocked
 
Reported: 2013-05-02 06:16 UTC by Kurt Seifried
Modified: 2015-04-21 18:26 UTC (History)
3 users (show)

Fixed In Version: python-httplib2-0.9-6.fc22
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-21 18:26:40 UTC
Type: ---


Attachments (Terms of Use)

Description Kurt Seifried 2013-05-02 06:16:20 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Kurt Seifried 2013-05-02 06:16:27 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=958638,958640

Comment 2 Fedora End Of Life 2013-12-21 13:21:17 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Niranjan Mallapadi Raghavender 2014-11-01 07:07:45 UTC
There is a patch available but not yet been accepted , I have requested a status on the upstream github issue tracker. 
https://github.com/jcgregorio/httplib2/issues/243

Comment 4 Jaroslav Reznik 2015-03-03 14:55:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 5 Fedora Update System 2015-04-03 19:40:44 UTC
python-httplib2-0.9-6.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-httplib2-0.9-6.fc22

Comment 6 Fedora Update System 2015-04-04 16:30:45 UTC
Package python-httplib2-0.9-6.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-httplib2-0.9-6.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5503/python-httplib2-0.9-6.fc22
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-04-21 18:26:40 UTC
python-httplib2-0.9-6.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.